
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CMU论文：一部深度学习发展史，看神经网络兴衰更替 / iVAN</title>

    <meta name="description" content="CMU论文：一部深度学习发展史，看神经网络兴衰更替 以古为鉴,可知兴替.今天为大家带来一篇来自CMU的最新论文:On the Origin of Deep Learning,为读者回顾和解析深度学习的发展历史. 论文地址:https://128.84.21.199/abs/1702.07800 提要 本文回顾了深度学习模型的演化历史.作者从神经网络的滥觞--联想主义心理学出发,讲到引领了过去10年研究方向的深度学习模型,比如卷积神经网络.深度置信网络.递归神经网络,一直延伸至最近流行的一些模型,如变分自编码器.作为对这些模型回顾的补充,本文特别关">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">CMU论文：一部深度学习发展史，看神经网络兴衰更替</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>以古为鉴，可知兴替。今天为大家带来一篇来自CMU的最新论文：On the Origin of Deep Learning，为读者回顾和解析深度学习的发展历史。</p>
<p>论文地址：https://128.84.21.199/abs/1702.07800</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvVWljUTdIZ1dpYVViM2RueU9VdW02aWFHSWliYlNEMk5uczREYjNOUjhocW1ZUzJwMjZNaWJGQ203RXdpYU5hb2NSb0pKUnhoVmNvVlZPaFBhV05zZ0NydlRENVEvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p>提要</p>
<p>本文回顾了深度学习模型的演化历史。作者从神经网络的滥觞——联想主义心理学出发，讲到引领了过去10年研究方向的深度学习模型，比如卷积神经网络、深度置信网络、递归神经网络，一直延伸至最近流行的一些模型，如变分自编码器。作为对这些模型回顾的补充，本文特别关注了它们的前世今生，审视了早期模型是如何由初始概念组合构建而成的，以及它们如何发展成为了今天的形式。其中不少演化路径持续了半个多世纪，并朝着多元化的方向发展。例如，CNN的创建是基于生物视觉系统的先验知识; DBN是由图像模型的建模能力和计算复杂性的折衷演变而来的，现在的许多模型还是古老的线性模型的在神经层面的对应。本文回顾了这些演化路径，提供了关于这些模型是如何被开发的简明思路，旨在为深度学习提供一个全面的背景知识。更重要的是，沿着演化的路径，本文总结了这些里程碑背后的思想，提出了很多未来深度学习研究的方向。</p>
<p>目录</p>
<ul>
<li>从亚里士多德的联想主义心理学谈起</li>
<li>从现代神经网络到深度学习</li>
<li>深度学习的理论基石universal approximation，以及关于“深度”的讨论</li>
<li>深度生成模型</li>
<li>卷积神经网络和人类视觉</li>
<li>递归网络</li>
<li>神经网络的优化</li>
<li>结论：一些启发</li>
</ul>
<p>从亚里士多德的联想主义心理学谈起<br />
<br />人工智能的发展或许可以追溯到公元前仰望星空的古希腊人，当亚里士多德为了解释人类大脑的运行规律而提出了联想主义心理学的时候，他恐怕不会想到，两千多年后的今天，人们正在利用联想主义心理学衍化而来的人工神经网络，构建超级人工智能，一起又一次地挑战人类大脑认知的极限。</p>
<p>联想主义心理学是一种理论，认为人的意识是一组概念元素，被这些元素之间的关联组织在一起。受柏拉图的启发，亚里士多德审视了记忆和回忆的过程，提出了四种联想法则：</p>
<p>•  邻接：空间或时间上接近的事物或事件倾向于在意识中相关联。</p>
<p>•  频率：两个事件的发生次数与这两个事件之间的关联强度成正比。</p>
<p>•  相似性：关于一个事件的思维倾向于触发类似事件的思维。</p>
<p>•  对比：关于一个事件的思维倾向于触发相反事件的思维。</p>
<p>亚里士多德描述了这些在我们意识中作为常识在起作用的法则。例如，苹果的触感、气味或味道会很自然地引出苹果的概念。令人惊讶的是，如今这些提出了超过2000年的法则仍然是机器学习方法的基本假设。例如，彼此靠近（在限定距离下）的样本被聚类为一个组; 经常与响应变量发生的解释变量引起模型更多的注意; 相似/不相似数据通常用潜在空间中更相似/更不相似的嵌入表示。</p>
<p>此后两千年间，联想主义心理学理论被多位哲学家或心理学家补充完善，并最终引出了Hebbian学习规则，成为神经网络的基础。</p>
<p>表1：深度学习发展历史上的里程碑</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvVWljUTdIZ1dpYVViMEttaWFiaWFBWUwybGVSM2JlcXlJaFF5QW5JaHR5eldtNGMxaWFxY2dQQlNXelVRYW02WnZWaWFMdkFpYmtsM1hEcDZIaWF4T2ljUTJ6elhUM1EvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p>表1</p>
<p> </p>
<p>从现代神经网络到深度学习</p>
<p>Hebbian学习规则以Donald O. Hebb（1904-1985）命名。Donald O. Hebb在1949年的论著《The Organization of Behavior》中提出了这一法则。Hebb也因为这篇论文被视为神经网络之父。</p>
<p>1949年，Hebb提出了那条著名的规则：一起发射的神经元连在一起。更具体的表述是：</p>
<p>“当神经元A的轴突和神经元B足够接近并反复或持续激发它时，其中一个或两个神经元就会发生增长或新陈代谢的变化，例如激发B的神经元之一——A efficiency——会增加。”</p>
<p>这个拗口的段落可以重写为现代机器学习的语言：</p>
<p><img src="/assets/blank.gif" data-echo="image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVQImWNgYGBgAAAABQABh6FO1AAAAABJRU5ErkJggg=="></p>
<p>其中<img src="/assets/blank.gif" data-echo="image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVQImWNgYGBgAAAABQABh6FO1AAAAABJRU5ErkJggg==">代表输入信号为<img src="/assets/blank.gif" data-echo="image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVQImWNgYGBgAAAABQABh6FO1AAAAABJRU5ErkJggg==">的神经元<img src="/assets/blank.gif" data-echo="image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVQImWNgYGBgAAAABQABh6FO1AAAAABJRU5ErkJggg==">的突触权重（<img src="/assets/blank.gif" data-echo="image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVQImWNgYGBgAAAABQABh6FO1AAAAABJRU5ErkJggg==">）的变化。<img src="/assets/blank.gif" data-echo="image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVQImWNgYGBgAAAABQABh6FO1AAAAABJRU5ErkJggg==">表示突触后反应，<img src="/assets/blank.gif" data-echo="image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVQImWNgYGBgAAAABQABh6FO1AAAAABJRU5ErkJggg==">表示学习率。换句话说，“Hebbian学习规则”指出，随着两个单位共同出现频率的增加，两个单位之间的联系会加强。</p>
<p>尽管Hebbian学习规则被视为奠定了神经网络的基础，但今天看来它的缺陷是显而易见的：随着共同出现的次数增加，连接的权重不断增加，主信号的权重将呈指数增长。这就是Hebbian学习规则的不稳定性（Principe et al., 1999）。幸运的是，这些问题没有影响Hebb作为神经网络之父的地位。</p>
<p>ErkkiOja扩展了Hebbian学习规则以避免不稳定性，并且他还表明，遵循此更新规则的神经元的行为，近似于Principal Component Analyzer（PCA）的行为(Oja, 1982)。</p>
<p>FrankRosenblatt通过引入感知器的概念进一步实现了Hebbian学习规则（Rosenblatt, 1958）。像Hebb这样的理论家专注的是自然环境中的生物系统，而Rosenblatt构建了一个名为感知器的电子设备，它具有根据关联进行学习的能力。</p>
<p>早期神经元模型和现代感知器之间的一个区别是非线性激活函数的引入。</p>
<p>将感知器放在一起，就变成了基本的神经网络。通过并列放置感知器，我们能得到一个单层神经网络。通过堆叠一个单层神经网络，我们会得到一个多层神经网络，这通常被称为多层感知器（MLP ）（Kawaguchi, 2000）。单层神经网络具有局限性，正是这种局限性导致了相关的研究曾经一度停滞了进二十年，但同时，也正是这种局限性刺激了神经网络向更高层结构进发，渐渐迎来了如今的深度学习时代。</p>
<p> </p>
<p>深度学习的理论基石universal approximation，以及关于“深度”的讨论<br />
<br />神经网络的一个显著特性，即众所周知的通用逼近属性，可以被粗略描述为MLP可以表示任何函数。可以从以下三方面探讨这一属性：</p>
<p>布尔逼近：一个隐藏层的MLP可以准确的表示布尔函数；</p>
<p>连续逼近：一个隐藏层的MLP可以以任意精度逼近任何有界连续函数；</p>
<p>任意逼近：两个隐藏层的MLP可以以任意精度逼近任何函数。</p>
<p>universal approximation成为如今神经网络与深度学习一片繁荣景象的重要理论基石，universal approximation的相关理论——一个多层神经网络具备表达任何方程的能力——已经成为深度学习的标志性特点。本章节的一个最大的贡献在于将过去在这个问题上的相关理论研究工作加以整理，分三个脉络阐释了三种不同的universal approximation。作者重新整理了从上世纪八十年代末期到本世纪初期的相关理论工作，把原本艰深晦涩的理论证明以形象的语言重新描述出来。如图1所示，无数个线性decision boundary组合叠加可以制造出圆形边界，而无数个圆形边界的叠加何以逼近任何一个方程。 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvVWljUTdIZ1dpYVViMEttaWFiaWFBWUwybGVSM2JlcXlJaFF5T3o1V2hTS2VtWXFzYzgzeXZjSzVsTm8ybmdBSTU2cFdOM2pQWThpYjFYNmExY21lV2tQdU4wUS82NDA/d3hfZm10PXBuZyZhbXA7dHA9d2VicCZhbXA7d3hmcm9tPTUmYW1wO3d4X2xhenk9MQ==.jpg"></p>
<p>图1</p>
<p>浅层神经网络的通用逼近属性以呈几何级数增长的神经元为代价，因此是不现实的。关于如何在减少计算单元数量的同时维持网络的表达力，这个问题已被追问多年。从直觉出发，Bengio和Delalleau（2011）认为追求更深的网络是自然的，因为1）人类神经系统就是一个深层次的结构；2）人类倾向于将一个抽象层次的概念表示为较低层次的概念组合。今天，我们的解决方案是建立更深的结构，这一方案的理论支撑是，要想达到一个具有多项式的k层神经网络的表达能力，如果使用k-1层结构，则神经元的数量需要以指数级增长。不过，理论上，这仍是一个尚未最终证明的结论。但这仍可以看出，深度学习中“深度”二字的重要性：从姚期智老师1985年的工作，到Yoshua Bengio近几年的成果，无一不在重复“深度”的价值。在深度学习炙手可热的今天，在还有很多同学讨论“深度”的必要性的今天，我们建议相关的老师和同学们仔细审视前人的成果。</p>
<p>深度生成模型<br />
<br />第四节到第七节是本文最激动人心的章节。第四节重点介绍了Generativemodel的进化过程。从八十年代的Self Organizing Map到 Hopfield Network, 再到鼎鼎大名的BoltzmannMachine和RestrictedBoltzmann Machine，直到Hinton塑造的Deep Belief Network。深度学习的研究一路走来，悠长的历史之中，作者带领我们研读了这几个璀璨明星的诞生过程，以及这些作品诞生时的内在联系。</p>
<p>图2总结了本节将涉及的模型。 水平轴代表这些模型的计算复杂度，而垂直轴代表表达能力。 这是六个里程碑式的模型。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvVWljUTdIZ1dpYVViMEttaWFiaWFBWUwybGVSM2JlcXlJaFF5YzB6NmhxNWtSeTZ3cjRnODlWSHNhcmliOEFMU2QxSTZva2lhck9kTHJrSDVxVDd6Mm5FMGljUXN3LzY0MD93eF9mbXQ9cG5nJmFtcDt0cD13ZWJwJmFtcDt3eGZyb209NSZhbXA7d3hfbGF6eT0x.jpg"></p>
<p>图2</p>
<p>其中，早先的模型，比如Self Organizing Map和Hopfield Network，它们的诞生主要基于人们对于这个世界基本的认知，因而相关的介绍也更加的浅显易懂。中期的模型，比如Boltzmann Machine和Restricted Boltzmann Machine虽然依然是前面模型的改进，当时的学者却更依赖于相关的数学和物理理论，因而本文在此处的介绍也是理论韵味十足，用公式铺路，步步前行。当Hinton介绍了Deep Belief Network之后，深度学习更依赖于经验性的结论的特点又将本文重点转为文字性的介绍。</p>
<p>Self Organizing Map（SOM）由Kohonen（1990）发明。 SOM是一种强大的技术，主要用于减少数据维度，通常减少到一维或二维（Germano, 1999）。在降低维度的同时，SOM还保留了数据点的拓扑相似性。它也可以被看作是用于聚类的工具，同时将拓扑强加在聚类表示上。</p>
<p>Hopfield Network历史上被描述为一种recurrent3形式的神经网络，由Hopfield创造（1982）。此处的“recurrent”是指连接神经元的权重是双向的。Hopfield Network因其内容可寻址的存储器属性而被广泛认可。</p>
<p>Boltzmann Machine，由Ackley等人发明（1985），是随机隐藏单元版的Hopfield Network。它的名字来自Boltzmann分布。</p>
<p>Restricted Boltzmann Machine（RBM），最初称为Harmonium，由Smolensky（1986）发明，是一种带有限制的Boltzmann Machine，其限制实在可见单元或隐藏单元之间没有连接。</p>
<p>深度置信网络由Hinton等人（2006）创造，他指出RBM可以以贪婪的方式进行堆叠和训练。</p>
<p>最后给大家介绍的是深度生成模型谱系里的最后一块里程碑，Deep BoltzmannMachine，由Salakhutdinov andHinton (2009)创造。DBM和上文提到的DBN的区别在于，DBM允许在底层中双向连接。因此，用DBM表示堆叠的RBM，比用DBN好得多。当然如果DBM Deep Restricted Boltzmann Machine可能更清楚。</p>
<p>在DBM之后，又出现了很多研究论文，未来的工作则更多。</p>
<p>卷积神经网络和人类视觉<br />
<br />卷积神经网络的谱系主要是从对人类视觉皮层的认识演变而来。卷积神经网络的视觉问题的成功原因之一是：复制人类视觉系统的仿生设计。第五节主要介绍了深度学习在计算机视觉角度上的发展，也就是卷积神经网络的发展，侧重于各个在ImageNet比赛中所有作为的神经网络模型。本章节以介绍人类的视觉神经网络开始，所有的后续介绍都将围绕着人类的视觉神经网络展开。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvVWljUTdIZ1dpYVViMEttaWFiaWFBWUwybGVSM2JlcXlJaFF5eFZ0b2ljZkQyc2VlemNaWDNudnhwalBva01WTDhWU01sNjU3RGFxdkxpYVAzcVJIZThDQTd0RncvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p>图3</p>
<p>在介绍了视觉神经网络之后，作者重点介绍了卷积在计算机视觉问题上的巨大意义。这些意义对于资深研究计算机视觉的老师同学来说可能已是陈词滥调，但是对于刚刚从深度学习时代开始接触计算机视觉问题的同学来说却可能至关重要。卷积作为一个非常有效的视觉特征提取工具，几乎是深度学习在计算机视觉问题上如此成功的基石。在介绍了卷积的意义之后，作者先介绍了LeNet，进而带领读者回顾了近几年在ImageNet上有所作为的重要模型，包括AlexNet，VGG，和ResNet。值得一提的是，即便是在人们开始用计算机模仿人类视觉神经网络之后近四十年的今天，即便是在一个模型是否与人类视觉神经网络相似已经不再重要的今天，ResNet的成功的重要创新模块依然可以在四十年前人类视觉神经网络的研究中找到影子。由此可见本文重新审视前人工作的重要性。本节的最后，作者介绍了一些在计算机视觉领域内的非常有趣的关键性问题，这些问题看似是计算机视觉问题的死穴，然而值得庆幸的是，人类视觉系统同样有这种盲点。卷积神经网络与人类视觉神经网络如此相似，甚至连缺陷都如此相似，究竟是喜是悲，还待更多后续工作揭晓。</p>
<p>递归网络</p>
<p>递归神经网络（RNN）是神经网络的一种，其单位的连接形成了有向循环; 这种性质赋予了其处理时间数据的能力。</p>
<p>“递归（recurrent）”的现代定义由Jordan（1986年）最早提出：</p>
<p>如果网络具有一个或多个cycle，即，如果可以遵循从单元返回到其自身的路径，则网络被称为循环（一般将Recurrent Neutral Network译为“递归”神经网络）。非递归网络没有cycle。</p>
<p>他的模型（Jordan, 1986年）后来被称为Jordan Network。</p>
<p>几年后，Elman（1990）发明了另一个形式略有不同的RNN 。</p>
<p>从Jordan网络到Elman网络的变化引人注目，因为它引入了从隐藏层传递信息的可能性，这显著提高了后来工作中结构设计的灵活性。</p>
<p>Hochreiter和Schmidhuber（1997）为RNN谱系引入了一个新的神经元，称为Long Short-Term Memory（LSTM）。这一术语“LSTM”最早用于指称借助于特殊设计的存储器单元，设计用来克服消失梯度问题的算法。如今，“LSTM”广泛用于表示具有该存储器单元的任何递归网络，其现在被称为LSTM单元。</p>
<p>LSTM被用于克服RNN不能长期依赖的问题（Bengio et al.，1994）。为了克服这个问题，它需要专门设计的存储单元，如图4（a）所示。</p>
<p>LSTM包括几个关键组件：</p>
<p>• states: 用于为输入提供信息的数值。</p>
<p>• gates: 用于决定states信息流的数值。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpel9wbmcvVWljUTdIZ1dpYVViMEttaWFiaWFBWUwybGVSM2JlcXlJaFF5a1ZuRko4YkU4V2VRc0dsbURVc0JtMTA3MjdFUlBpYWlhZDRNVUFUM09VbjNOVFF5SHpTOHpnUVEvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p>图4 LSTM单元和功能</p>
<p>我们用6张图详细解释了LSTM的多个gate与state之间复杂的相互协同作用，强大而又神秘的LSTM在6张深入浅出的图片中一目了然。这或许是迄今能找到的最清晰的LSTM解析了！</p>
<p>所有的权重都是需要在训练期间学习的参数。因此，理论上，如果必要的话，LSTM可以学习记住长时间依赖，并且可以学会在必要的时忘记过去。这使它成为一个强大的模型。</p>
<p>神经网络的优化</p>
<p>优化是深度学习发展历史上不可回避的课题。目前存在的优化方式有：</p>
<p>梯度法：尽管神经网络已经发展了50多年，神经网络的优化仍然严重依赖于反向传播算法内的梯度下降法。</p>
<p>剔除（dropout）法：剔除法由（Hinton et al., 2012;Srivastava et al., 2014）创造。这种技术很快拥有了影响力，不仅因为它具有良好的性能，而且实施简单。这个想法很简单：在训练时随机剔除一些单位。更正式的表述是：在每次训练中，每个隐藏单元以概率p随机地被从网络中省掉了。</p>
<p>BatchNormalization：由Ioffe和Szegedy（2015）发明的BatchNormalization是深度神经网络优化的另一个突破。他们解决了他们称为内部协变量移位的问题。直观上看，问题可以理解为以下两个步骤：1）如果输入改变（在统计学中，函数的输入有时被表示为协变量），则学习的函数几乎无用； 2）每层都是一个函数，下层参数的变化改变了当前层的输入。这种变化可能很剧烈，因为它可能改变输入的分布。</p>
<p>结论：一些启示</p>
<p>回顾深度学习的发展史，从方法论的层面，我们可以得到如下启示：</p>
<p>奥卡姆剃刀定律：人们一方面将结构层层叠加，另一方面希望反向传播可以找到最佳参数。看上去他们有追求更复杂模型的倾向。但历史表明，大道至简。比如dropout被广泛认可，不仅因为它表现出色，更多是因为它的推理简单而直观。</p>
<p> </p>
<p>要有野心：如果一个模型提出时具有比同时期更多的参数，它必须能解决掉一个其他模型不能漂亮解决的问题。LSTM比传统的RNN复杂得多，但它出色地解决了消失梯度的问题。DBN之所以出名并不是因为它是第一个提出将一个RBM放到另一个RBM的网络，而是因为他们提出了一个算法，使得深层架构能够被有效地训练。</p>
<p> </p>
<p>广泛阅读：许多模型受机器学习或统计学科以外的领域知识的启发。比如人类视觉皮层极大地启发了卷积神经网络的发展。甚至最近流行的残差网络也可以在人类视觉皮层中找到相应的机制。</p>
<p> </p>
<p>希望这些启发能给读者朋友们未来的研究工作一些帮助。</p>
<p>文章转自新智元公众号，<a href="https://mp.weixin.qq.com/s/xNERrFKU4tY3lGmwBIJC9w" rel="external nofollow noreferrer">原文链接</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 09:40:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%b7%b1%e5%ba%a6%e5%ad%a6%e4%b9%a0/" title="深度学习">深度学习</a>, <a href="https://www.iamivan.net/tag/%e7%a5%9e%e7%bb%8f%e7%bd%91%e7%bb%9c/" title="神经网络">神经网络</a>, <a href="https://www.iamivan.net/tag/network/" title="network">network</a>, <a href="https://www.iamivan.net/tag/machine/" title="Machine">Machine</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>CMU论文：一部深度学习发展史，看神经网络兴衰更替的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqaQrRM.html" rel="bookmark">【NIPS最佳论文引发深度学习论战】AlphaZero能击败冷扑大师吗？No（Science论文）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				NIPS2017的最佳论文今年被&quot;冷扑大师&quot;拿下,在深度学习大行其道的今天,一个使用非深度学习方法的研究拿下最佳论文,着实有些意外,算是&quot;冷扑大师&quot;创造的一个小冷门. 12月18日,&lt;Science&gt;上发布了题为&lt;Superhuman AI for heads-up no-limit poker: Libratus beats top professionals&gt;的文章,介绍&quot;冷扑大师&quot;的工作原理.同一天,论文的两位作者-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRnO2p.html" rel="bookmark">零基础入门深度学习&lpar;5&rpar; - 循环神经网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在前面的文章系列文章中,我们介绍了全连接神经网络和卷积神经网络,以及它们的训练和使用.他们都只能单独的取处理一个个的输入,前一个输入和后一个输入是完全没有关系的.但是,某些任务需要能够更好的处理序列的信息,即前面的输入和后面的输入是有关系的.   比如,当我们在理解一句话意思时,孤立的理解这句话的每个词是不够的,我们需要处理这些词连接起来的整个序列:当我们处理视频的时候,我们也不能只单独的去分析每一帧,而要分析这些帧连接起来的整个序列.这时,就需要用到深度学习领域中另一类非常重要神经网络:循			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmEjXz.html" rel="bookmark">零基础入门深度学习&lpar;4&rpar; - 卷积神经网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的文章中,我们介绍了全连接神经网络,以及它的训练和使用.我们用它来识别了手写数字,然而,这种结构的网络对于图像识别任务来说并不是很合适.本文将要介绍一种更适合图像.语音识别任务的神经网络结构--卷积神经网络(Convolutional Neural Network, CNN).说卷积神经网络是最重要的一种神经网络也不为过,它在最近几年大放异彩,几乎所有图像.语音识别领域的重要突破都是卷积神经网络取得的,比如谷歌的GoogleNet.微软的ResNet等,打败李世石的AlphaGo也用到了这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQGm6z.html" rel="bookmark">【深度学习框架大PK】褚晓文教授：五大深度学习框架三类神经网络全面测评（23PPT）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				香港浸会大学褚晓文教授团队在2016年推出深度学习工具评测的研究报告,并在2017年年初发布更新,引起广泛关注.见新智元报道&lt; 基准评测 TensorFlow.Caffe.CNTK.MXNet.Torch 在三类流行深度神经网络上的表现(论文)&gt;,2017年初版本的评测的主要发现可概括如下: 总体上,多核CPU的性能并无很好的可扩展性.在很多实验结果中,使用16核CPU的性能仅比使用4核或8核稍好.TensorFlow在CPU环境有相对较好的可扩展性. 仅用一块GPU卡的话,FCN上Caffe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA741nz.html" rel="bookmark">转载 ： 神经网络浅讲：从神经元到深度学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				神经网络是一门重要的机器学习技术.它是目前最为火热的研究方向--深度学习的基础.学习神经网络不仅可以让你掌握一门强大的机器学习方法,同时也可以更好地帮助你理解深度学习技术. 本文以一种简单的,循序的方式讲解神经网络.适合对神经网络了解不多的同学.本文对阅读没有一定的前提要求,但是懂一些机器学习基础会更好地帮助理解本文. 神经网络是一种模拟人脑的神经网络以期能够实现类人工智能的机器学习技术.人脑中的神经网络是一个非常复杂的组织.成人的大脑中估计有1000亿个神经元之多. 图1 人脑神经网络   那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAk70Xz.html" rel="bookmark">零基础入门深度学习&lpar;三&rpar;：卷积神经网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				投稿:Intelligent Software Development 团队介绍:团队成员来自一线互联网公司,工作在架构设计与优化.工程方法研究与实践的最前线,曾参与搜索.互联网广告.共有云/私有云等大型产品的设计.开发和技术优化工作.目前主要专注在机器学习.微服务架构设计.虚拟化/容器化.持续交付/DevOps等领域,希望通过先进技术和工程方法最大化提升软件和服务的竞争力.   在前面的文章中,我们介绍了全连接神经网络,以及它的训练和使用.我们用它来识别了手写数字,然而,这种结构的网络对于图像			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYRkLp.html" rel="bookmark">一文看尽深度学习RNN：为啥就它适合语音识别、NLP与机器翻译？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[ 导读 ]本文是机器学习大牛Jason Brownlee系统介绍RNN的文章,他在文中详细对比了LSTM.GRU与NTM三大主流架构在深度学习上的工作原理及各自特性.读过本文,你就能轻松GET循环神经网络在语音识别.自然语言处理与机器翻译等当前技术挑战上脱颖而出的种种原因. 循环神经网络(RNN)是一种人造神经网络,它通过赋予网络图附加权重来创建循环机制,以维持内部的状态. 神经网络拥有&quot;状态&quot;以后,便能在序列预测中明确地学习并利用上下文信息,如顺序或时间成分. 本文将一次性带你了解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAakZM.html" rel="bookmark">专访 &vert; 杨强教授谈CCAI、深度学习泡沫与人工智能入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				7 月 22 - 23 日,由中国人工智能学会.阿里巴巴集团 &amp; 蚂蚁金服主办,CSDN.中国科学院自动化研究所承办,作为独家直播合作伙伴的第三届中国人工智能大会(CCAI 2017)将在杭州国际会议中心盛大开幕. 作为大会主席,香港科技大学计算机与工程系主任.AAAI Fellow 杨强教授最近接受了大会记者专访.这次访谈干货满满,其中有不少话题是杨强教授首度公开谈及,比如下一个 AI 突破口.深度学习泡沫.AI 之路心得.本科生入门 AI.好学生要能教导师学习,等等. (点击阅读杨强教授历史			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6QKmb.html" rel="bookmark">深度学习如何入门？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于深度学习,网上的资料很多,不过貌似大部分都不太适合初学者. 这里有几个原因:  深度学习确实需要一定的数学基础.如果不用深入浅出地方法讲,有些读者就会有畏难的情绪,因而容易过早地放弃. 中国人或美国人写的书籍或文章,普遍比较难一些.我不太清楚为什么,不过确实是这样子的. 深度学习,确实需要一定的数学基础,但真的那么难么?这个,还真没有.不信?听我来给你侃侃.看完,你也会觉得没那么难了. 本文是针对初学者,高手可以无视,有不对的地方,还请多多批评指正. 这里,先推荐一篇非常不错的文章: &lt;1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4J9LM.html" rel="bookmark" class="title">XML、Web服务和&period;NET框架&lpar;1&rpar;</a>
					<div>
						.net框架|web|web服务|xml 应用程序开发技术正发生着一次质的飞跃,从根本上大幅度提高开发人员的生产效率,它开启了一道通向全新概念的应用程序的大门. 在过去,开发人员一直通过集成本地系统服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQoaGp.html" rel="bookmark" class="title">让自定义文件下载支持断点续传（HTTP</a>
					<div>
						ado|stream|下载 自定义文件下载基本上用在以下几处 1.浏览器已知类型,如Avi,Doc等如果本地安装了关联程序就会自动在浏览器上打开2.权限管理,有时候不是所有的人都允许下载,所以需要在下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAavlQM.html" rel="bookmark" class="title">用Java实现基于XML的购物车</a>
					<div>
						购物车是电子商务网站中不可缺少的组成部分,但目前大多数购物车只能作为一个顾客选中商品的展示,客户端无法将购物车里的内容提取出来满足自己事务处理的需要,而这一点在有些电子商务活动中很有必要.XML的出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwglkz.html" rel="bookmark" class="title">Fireworks制作 Banner广告动画</a>
					<div>
						Banner,一般翻译为旗帜广告.横幅广告等.Banner是网站用来作为盈利或者是发布一些重要的信息的工具.Banner在设计上应该要做到制作美观.方便点击.与网页协调和整体构成合理. 本文中我们用F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR94Rz.html" rel="bookmark" class="title">如何用金山wps制作九九乘法表</a>
					<div>
						  1.建立一个空白表格,在A1输入1,拖动鼠标左I向右至I1.向下至A9,这样A1到I1.A1到A9内就分别输入1到9. 2.在A10内输入公式&quot;=IF(AND($A1&gt;=A$1,C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamoEQb.html" rel="bookmark" class="title">一个简单不报错的summernote 图片上传案例&lowbar;javascript技巧</a>
					<div>
						一个比较完整的summernote上传图片的案例,没有后台(上传图片网上案例太多),只有前端js.修正了网上提供的,但是有bug的代码. 这个例子,js保证不报错.亲测可用 &lt;%@ page l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZQDab.html" rel="bookmark" class="title">android-MediaPlayer的setDataSource出错</a>
					<div>
						问题描述 MediaPlayer的setDataSource出错 我想用service播放音乐 直接上代码: private static final MediaPlayer mp = new Med ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNAeVz.html" rel="bookmark" class="title">argc-使用CCLabelBMFont中文显示</a>
					<div>
						问题描述 使用CCLabelBMFont中文显示 国外的项目,现在要把英文翻译成中文,自己生成的.fnt文件替换进去后, 线程到这里跑死 int retVal = UIApplicationMain( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjPqdM.html" rel="bookmark" class="title">6大集合类</a>
					<div>
						arraylist  hashtable  SortedList  ColletionBase Stack Queue   NameValueCollection 1   ArrayList 类    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRJxOb.html" rel="bookmark" class="title">这家公司能让你轻易为聊天平台加上属于自己的聊天机器人</a>
					<div>
						雷锋网(公众号:雷锋网)按:聊天机器人可以说是人工智能中一个相当热门的领域.也是目前的人工智能应用中表现的比较具体.能让人感受到其&quot;智能&quot;(或不智能)的一种形式.开发聊天机器人不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwZEZM.html" rel="bookmark" class="title">如何才能成为一名合格的新手站长</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 站长这个职业或许很多人都很羡慕,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgweKmM.html" rel="bookmark" class="title">easyui datagrid 如何分页？后台已经返回 total和rows了</a>
					<div>
						问题描述 easyui datagrid 如何分页?后台已经返回 total和rows了 前台: 投诉编号 用户名称 投诉时间 投诉内容 处理人员 状 态 属性:pagination=&quot;tr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnZlAM.html" rel="bookmark" class="title">C&num;Winform换肤</a>
					<div>
						问题描述 如何实现C#Winform换肤,把相应的皮肤文件放到DEBUG里面或者里面的一个文件夹里面,然后可以把这些文件自动加载到类似于toolstripmenuitem中,直接点击换肤,就在后面列出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ9Rlp.html" rel="bookmark" class="title">《 产品设计思维：电商产品设计全攻略》一一3&period;1　首页设计为什么难</a>
					<div>
						3.1 首页设计为什么难 一个电商系统做得好不好,评价的第一感知通常都来自于对其首页的印象,其次才是后端运作的商业体系与系统生态,这是有一定道理的.因为后端的商业体系大家不容易感知到,而首页通常是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK56yAp.html" rel="bookmark" class="title">&amp;lt&semi;转载&amp;gt&semi;DockerCon 2017 欧洲站大会议程抢先看</a>
					<div>
						DockerCon 内容审查委员会仍在努力审核各个分论坛的议题内容,不过您可以通过下面的介绍来了解在哥本哈根举办的此次大会的基本议程设计和内容框架. 要了解各个演讲摘要的详细信息,请查看官网的 Age ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgRBOz.html" rel="bookmark" class="title">微信公众平台消息接口开发（26）从Hello2BizUser文本到subscribe事件</a>
					<div>
						微信公众平台 微信公众平台开发模式 消息接口 企业微信公众平台 Hello2BizUser subscribe 订阅事件 作者:方倍工作室 原文:http://www.cnblogs.com/txw1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenZWwb.html" rel="bookmark" class="title">新浪网开通官方微博&OpenCurlyDoubleQuote;国土北京&rdquo;</a>
					<div>
						2012年3月1日,北京市http://www.aliyun.com/zixun/aggregation/30834.html&quot;&gt;国土资源局在新浪网开通官方微博&quot;国土北京&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YBvjb.html" rel="bookmark" class="title">儿童软糖里藏着根刺韩世波儿圈厂家称很正常</a>
					<div>
						软糖里藏着根刺环球网青岛频道7月2日讯(见习记者 齐春红) 青岛杨女士日前买了一包韩世草莓味波儿圈软糖,吃到最后时发现糖袋子里有一块1厘米长的带刺木片.韩世食品青岛负责人韩经理称,木片可能是烘烤所用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxgoPRb.html" rel="bookmark" class="title">稻船敬二警告卡普空：再不改变就只有等死</a>
					<div>
						刚刚宣布闪电辞职的前卡普空全球开发主管稻船敬二日前在接受采访时发出警告:卡普空如果再不改变的话就只有等死! 稻船敬二是日本著名游戏制作人,被誉为游戏鬼才,曾经开发过&lt;洛克人&gt;.&lt;鬼武 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWKmYb.html" rel="bookmark" class="title">解放日报：中国发明界何以&OpenCurlyDoubleQuote;冰火两重天&rdquo;？</a>
					<div>
						中国第二届专利周日前在内蒙古呼和浩特地区举行.令人意外的是,热热闹闹开场的专利项目推介会现场却冷冷清清,由全国157家单位和个人推荐的306项国家专利项目少有企业问津,听众寥寥无几的场面让&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5O2WAb.html" rel="bookmark" class="title">网台联动合作大于竞争</a>
					<div>
						2013年6月10日至13日,第19届上海电视节&quot;白玉兰论坛&quot;在上海展览中心隆重举行.爱奇艺承办的&quot;网台联动的进化之路&quot;专业论坛将讨论的主题聚焦在时下最热门的电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaQYrb.html" rel="bookmark" class="title">麦顿投资邱立平：投资VC&sol;PE要像是在游泳</a>
					<div>
						ChinaVenture北京时间7月15日下午消息,麦顿投资共同创始人邱立平建议,投资VC/PE心态要摆正,自己要冷静,就像游泳一样,不要太在乎浪有多大,而是要保持正确的游泳姿势.投资人要做的是战术或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M19VZjM.html" rel="bookmark" class="title">联发科3G战略布局：结盟傲世通打破合作被动</a>
					<div>
						程久龙 联发科3G&quot;芯&quot;布局 2010年--业界普遍预计,这将是中国3G真正开始&quot;放量&quot;的一年.作为手机终端产业链的最上游--3G手机芯片的产业化进程,对于整个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baErwqb.html" rel="bookmark" class="title">电子邮件营销：互联网思维颠覆传统营销</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 在今天,估计很少有人不知道雷军和他一手打造的&quot;小米&quot;帝国传奇故事.小米以其高性能比闻名江湖,在手机领域异军突起,牢牢占据着一席之地, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8gWOVM.html" rel="bookmark" class="title">新世界酒店集团投资11亿美元加速扩展</a>
					<div>
						据香港媒体报道,新世界酒店集团正积极展开其扩展计划,集团投资超过11亿美元,发展旗下三个独特酒店品牌,共20多个项目. 新世界酒店集团宣布其旗舰品牌--新世界酒店的全新定位,包括全新的品牌形象及服务文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxj04mz.html" rel="bookmark" class="title">VC&plus;&plus;实现文件与应用程序关联的方法&lpar;注册表修改&rpar;&lowbar;C 语言</a>
					<div>
						本文实例讲述了VC++实现文件与应用程序关联的方法.分享给大家供大家参考,具体如下: 日常工作中,doc文件直接双击后,就能启动word软件,并读取该文档的内容在软件中显示,这都得益于注册表的配置,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXx074p.html" rel="bookmark" class="title">朋友是我们选择的家人</a>
					<div>
						新华网华盛顿7月14日电 西方有句谚语:朋友是我们选择的家人.美国一项新研究从遗传学角度证明了这句话的正确性:朋友之间虽没有血缘关系,但http://www.aliyun.com/zixun/aggr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWxJXnp.html" rel="bookmark" class="title">Flex 隐藏组件的属性&lowbar;Flex</a>
					<div>
						设置visible属性为false. 但这样做还是会有问题:组件仍然占用原来的位置. 同时使用includeInLayout属性为false解决占位. &lt;mx:Button label=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqDd5Gb.html" rel="bookmark" class="title">平井一夫再推三大变革举措 计划率领索尼走出低谷</a>
					<div>
						昔日消费电子巨无霸索尼在大幅裁员1万人后,4月1日才出任CEO的平井一夫又拿出了题为&quot;一个索尼,变革!&quot;的最新举措,即加强数码影像.游戏和移动三大核心电子业务,扭转电视机业务局面, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrdkqVz.html" rel="bookmark" class="title">智能制造下徐工开启三大改造</a>
					<div>
						 6月3日,第七届中国云计算大会在京召开,进一步推进云计算技术创新与产业发展.4日下午由ZD至顶网举办的&quot;互联网+ 高峰论坛&quot;以&quot;制造业升级的全球智慧&quot;为主题, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.040 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
